Subject: Re: bug#6143: 6143 ispell not fixed

From: Agustin Martin <[email-masked]>
Date: Tue, 27 Jul 2010 14:03:36 +0200

On Mon, Jul 26, 2010 at 11:59:07AM +0200, Agustin Martin wrote:
> On Mon, Jul 26, 2010 at 11:38:49AM +0200, Agustin Martin wrote:
> > On Sat, Jul 24, 2010 at 01:35:06AM -0400, Dan Nicolaescu wrote:
> > > 
> > > You can get the "Ispell process killed" message by doing:
> > > 
> > > $ echo $LANG
> > > C
> > > $ emacs -Q
> > > M-: (add-hook 'text-mode-hook       'flyspell-mode) RET
> > > 
> > > C-x C-f A_FILE_UNDER_VERSION_CONTROL_FOR_EXAMPLE_MANAGED_BY_GIT
> > > type something
> > > C-x v v
> > > type something in the log-edit buffer.
> > > C-c C-c
> > > 
> > > now look at the *Messages* buffer and see the "Ispell process killed"
> > 
> > Strange, I get a different result (although also with an error),
> 
> And more funny, I can reproduce your original problem with last version of
> dictionaries-common I uploaded to Debian, which contains bleedeng edge
> *spell.el from FSF Emacs bzr heavily patched to work with XEmacs and some
> older Emacs flavours (At some time I will try to push the XEmacs stuff into
> the bzr repo) with no special precautions (In my .emacs file I instruct to
> enable flyspell mode for text files),
> 
> $ emacs kkk.txt &
> C-x v v
> 
> And process is restarted. This seems to happen only once and I could only
> reproduce this in this special case. Will try to investigate.

An even more fun (and desperation), I cannot reproduce this today with the
same file and the same emacs23.2 version + ispell.el from Debian 
dictionaries-common, when I was trying to investigate what was triggering 
that behavior.

Will try to keep an eye on this,

-- 
Agustin